#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_SynthesisData
{
	//编号
	int mId;
	//类型
	int mType;
	//需要道具
	int mneedItem;
	//需要数量
	int mneedCount;
	//物品名
	std::string mItemName;
	//获得道具
	int mitemId;
	//获得数量
	int mitemCount;
};

class M_Synthesis
{
public:
private:
	static std::auto_ptr<M_Synthesis> msSingleton;
public:
	int GetCount();
	const M_SynthesisData* GetData(int Id);
	boost::unordered_map<int, M_SynthesisData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_Synthesis* GetSingleton();
private:
	boost::unordered_map<int, M_SynthesisData> mMapData;
};
